FILAMENT-RESGEN(1)

NAME
filament-resgen - filament material tools

DESCRIPTION
filament-resgen aggregates a sequence of binary blobs, each of which becomes a "resource" whose id is the basename of the input file. It produces the following set of files:

    resources.h ......... declares sizes and offsets for each resource resources.S ......... small assembly file with incbin directive and rodata section resources.apple.S ... ditto but with different rodata name and underscore prefixes resources.bin ....... the aggregated binary blob that the incbin refers to

  Usage:

    filament-resgen [options] <input_file_0> <input_file_1> ...

OPTIONS

--help, -h

    Print this message

--license, -L

    Print copyright and license information

--package=string, -p string

    Name of the resource package (defaults to "resources") This is used to generate filenames and symbol prefixes

--deploy=dir, -x dir (defaults to ".")

    Generate everything needed for deployment into <dir>

--keep, -k

    Keep file extensions when generating symbols

--text, -t

    Append a null terminator to each data blob

--cfile, -c

    Generate xxd-style C file (useful for WebAssembly)

--json, -j

    Embed a JSON string in the output that provides a summary of all resource sizes and names. Useful for size analysis.

--quiet, -q

    Suppress console output

--help, -h

    Print this message

--license, -L

    Print copyright and license information

--package=string, -p string

    Name of the resource package (defaults to "resources") This is used to generate filenames and symbol prefixes

--deploy=dir, -x dir (defaults to ".")

    Generate everything needed for deployment into <dir>

--keep, -k

    Keep file extensions when generating symbols

--text, -t

    Append a null terminator to each data blob

--cfile, -c

    Generate xxd-style C file (useful for WebAssembly)

--json, -j

    Embed a JSON string in the output that provides a summary of all resource sizes and names. Useful for size analysis.

--quiet, -q

    Suppress console output

EXAMPLES

    resgen -cp textures jungle.png beach.png > Generated files: textures.h, textures.S, textures.apple.S, textures.bin, textures.c > Generated symbols: TEXTURES_JUNGLE_DATA, TEXTURES_JUNGLE_SIZE,

    TEXTURES_BEACH_DATA, TEXTURES_BEACH_SIZE

resgen aggregates a sequence of binary blobs, each of which becomes a "resource" whose id is the basename of the input file. It produces the following set of files:

    resources.h ......... declares sizes and offsets for each resource resources.S ......... small assembly file with incbin directive and rodata section resources.apple.S ... ditto but with different rodata name and underscore prefixes resources.bin ....... the aggregated binary blob that the incbin refers to

  Usage:

    resgen [options] <input_file_0> <input_file_1> ...

    resgen -cp textures jungle.png beach.png > Generated files: textures.h, textures.S, textures.apple.S, textures.bin, textures.c > Generated symbols: TEXTURES_JUNGLE_DATA, TEXTURES_JUNGLE_SIZE,

    TEXTURES_BEACH_DATA, TEXTURES_BEACH_SIZE